xn::EnumerationErrors Class Reference
C++ Reference to Application Programmer Interface (API) » Managing the Production Graph

`#include <XnCppWrapper.h>`

## Classes

class | Iterator

## Public Member Functions

| EnumerationErrors ()
| EnumerationErrors (XnEnumerationErrors *pErrors, XnBool bOwn=FALSE)
| ~EnumerationErrors ()
Iterator | Begin () const
Iterator | End () const
XnStatus | ToString (XnChar *csBuffer, XnUInt32 nSize)
void | Free ()
XnEnumerationErrors * | GetUnderlying ()

## Detailed Description

Purpose: An EnumerationError object returns a full list of modules that failed to enumerate specifying exactly why each module failed.

Usage: Instantiate and pass to enumeration methods.

Remarks:

Sometimes an application enumerates for a specific node, and receives zero results. An obvious reason for this failure is that no module implementing the node type was installed. Another possible reason is that a module may be installed but has no license. Yet another possible reason is that a required hardware device is currently disconnected.

Applications can use the EnumerationErrors class to acquire a full list of modules that failed to enumerate specifying for each exactly why each module failed.

The methods provided by the EnumerationErrors class let the application search enumeration lists for specific types of nodes.

## Constructor & Destructor Documentation

## EnumerationErrors() [1/2]

xn::EnumerationErrors::EnumerationErrors | ( |  | ) |

inline

Ctor

## EnumerationErrors() [2/2]

xn::EnumerationErrors::EnumerationErrors | ( | XnEnumerationErrors * | pErrors,
|  | XnBool | bOwn = FALSE )

inline

Ctor

Parameters

  [in] | pErrors | underlying C object to wrap
  [in] | bOwn | TRUE to own the object (i.e. free it upon destruction), FALSE otherwise.

## ~EnumerationErrors()

xn::EnumerationErrors::~EnumerationErrors | ( |  | ) |

inline

Dtor

## Member Function Documentation

## Begin()

Iterator xn::EnumerationErrors::Begin | ( |  | ) | const

inline

Gets an iterator to the first item in an enumeration errors list.

Remarks

To access the contents of the error item, either use the ToString() method of this class or the methods of the EnumerationErrors::Iterator class.

## End()

Iterator xn::EnumerationErrors::End | ( |  | ) | const

inline

Returns an iterator referring to the past-the-end element in an enumeration errors list. This iterator does not point to an actual item.

Remarks

Use this as the sentinel for flagging the end of a list when searching.

## Free()

void xn::EnumerationErrors::Free | ( |  | ) |

inline

For full details and usage, see xnEnumerationErrorsFree

## GetUnderlying()

XnEnumerationErrors * xn::EnumerationErrors::GetUnderlying | ( |  | ) |

inline

Gets the underlying C object

## ToString()

XnStatus xn::EnumerationErrors::ToString | ( | XnChar * | csBuffer,
|  | XnUInt32 | nSize )

inline

Returns a string representation of the Enumeration Errors object. The string contains a full list of the modules that failed the most recent enumeration operation. For each failed module, the Enumeration Errors object specifies why exactly the module failed.

Parameters

  [in] | csBuffer | Character buffer to be filled.
  [in] | nSize | Size of the character buffer.

The documentation for this class was generated from the following file:

- XnCppWrapper.h